--
--  ジャンル会員
--      t_genre_member
--

CREATE TABLE t_genre_member
(
    GenreCd integer NOT NULL,   -- PriKey
    MemberCd integer NOT NULL,  -- PriKey

    DelFlg boolean,
    AddDate timestamp without time zone,
    UpdDate timestamp without time zone,
    UpdUsrNm character varying(60),
    UpdPcNm character varying(60),
    UpdCnt integer,

    PRIMARY KEY(GenreCd, MemberCd)
);


-- トリガー
CREATE TRIGGER trigger_master_stamp
  BEFORE INSERT OR UPDATE
  ON t_genre_member
  FOR EACH ROW
  EXECUTE PROCEDURE g_master_stamp();
